<!DOCTYPE html>
<html>
<head>
	<!-- Tags added in the head tag for the html cannot be ssen in the webpage. -->
	<!-- We add additional information about our html document in the head but add content in the body. -->
	<!-- meta tags add additional information about our page. charset="utf-8" just tells our browser that for this HTML document, we will use the default character set -->
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<!-- title tags add the title for the page. It can be usually seen in the tab but not in the webpage itself -->
	<title>Introduction to HTML</title>
</head>
<body>
	<!-- ctrl +/ to create HTML comments -->
	<!-- HTML Comments are added to allow us to add notes in our HTML files. These comments will not be read and displayed in the webpage -->
	<!-- heading are tags that create heading elements. These heading elements are bolded and larger than the default font size. It is used as a title or to grab the attention of someone to the text. -->
	<h1>Welcome to Zuitt!</h1>
	<h2>This is our first webpage!</h2>
	<h3>We are excited to be here.</h3>
	<h4>We like HTML, CSS and JS.</h4>
	<h5>Web Development is the future.</h5>

	<h6>Web development learning is easier with Zuitt</h6>
	<!-- paragraph tags are used to create paragraphs which contain text. -->
	<p> I am Carlo Michael L. Young, and I am Zuitt Online Bootcamper. </p>
	<!-- span elements are created to contain other elements or text. -->
	<span>This is a span.</span>
	<span>This is another span.</span>

	<!-- block elements occupy the full width of the parent element. Examples inlcude headings and paragraph elements. -->

	<!-- inline (e.g span) elements only occupy the width of its content. It does not break the line just like our block elements. -->

	<!-- element don't only contain text but also other elements -->
	<!-- However, text elements like paragraph and headings, can contain other elements BUT it should be primarily be used to contain text or other text elements.
	Best Practices:
	Do not add an image inside the paragraph element.
	Do not add an image inside the heading element.
	Do not add a heading inside the paragraph element.
	 -->
	<!-- em elements - italicizes the text. -->
	<!-- strong elements - bolds the text. -->
	<!-- both em and strong elements are inline elements -->
	<p>
		<h1> I am inside the parahraph. </h1>
		Welcome to <em>Zuitt!</em> In this <strong>Online Bootcamp Course</strong>, we will learn a lot of things.
	</p> 

	<h3>What we will learn in our bootcamp:</h3>
	<!-- comman + shift + d - allow us to copy a line to the next in sublime -->
	<!-- ul tags create an unordered list. With this, we can create a list with items preceded 			that are the content or the items of our lists

	ol tags create ordered list. With this, we can create a list of itmes preceded by a n umber or a letter to show a particular order  
		 -->
	<ul>
		<li>Languages</li>
		<ul>
			<li>HTML</li>
			<li>CSS</li>
			<li>Javascript</li>
		</ul>	
		<li>Frameworks and Libraries</li>
		<ol>
			<li>bootstrap</li>
			<li>express.js</li>
			<li>React.js</li>
		</ol>
		<li>Tools</li>
		<!-- elements inside another element is called nested elements -->
		<!-- elements that contain another element is called the parent element -->
		<ol>
			<li>Git</li>
			<li>Gitlab</li>
			<li>Sublime Text</li>
			<li>Postman</li>
			<li>Google Chrome</li>
			<li>Other Tools</li>
			<ul>
				<li>MongoDB</li>
				<li>Robo3T</li>
			</ul>
		</ol>	
	</ul>	
	<hr>
	<h1> Carlo Michael L. Young </h1>
	<p> I love coffee. I am fascinated by computer science. </p>
	<h3> My Interests and Hobbies </h3>
	<ul>
		<li>coffee</li>
		<li>basketball</li>
		<li>books</li>
	</ul>

</body>
</html>